import React, { useEffect } from 'react';
import logo from './logo.svg';
import './App.css';
import { Button } from 'antd';
import {Track} from './components/Track';
import {Header} from './components/Header';
import {Playlist} from './components/Playlist';
import {Footer} from './components/Footer';
import {CurrentTrack} from './components/CurrentTrack';
import {SongsBlock} from './components/SongsBlock';
import { ISong, IAlbum, IGenre, IBand, IPlaylist } from './models/IModels';
import axios from 'axios';
import { PlaylistsBlock } from './components/PlaylistsBlock';


function App() {
  const [songs, setSongs] = React.useState<ISong[]>([]);
  const [albums, setAlbums] = React.useState<IAlbum[]>([]);
  const [genres, setGenres] = React.useState<IGenre[]>([]);
  const [bands, setBands] = React.useState<IBand[]>([]);
  const [playlists, setPlaylist] = React.useState<IPlaylist[]>([]);

  async function fetchData() {
    const responseSongs = await axios.get<ISong[]>('http://localhost:3000/songs');
    // const responseAlbums = await axios.get<IAlbum[]>('http://localhost:3000/albums');
    // const responseGenres = await axios.get<IGenre[]>('http://localhost:3000/genres');
    // const responseBands = await axios.get<IBand[]>('http://localhost:3000/bands');
    const responsePlaylists = await axios.get<IPlaylist[]>('http://localhost:3000/playlists');

    setSongs(responseSongs.data);
    // setAlbums(responseAlbums.data);
    // setGenres(responseGenres.data);
    // setBands(responseBands.data);
    setPlaylist(responsePlaylists.data);
  }

  useEffect(
    () => {
      fetchData();
    },
    []
  )
  
  return (
  
    <div className="App scrollbar scrollTop ">     
      <Header />
      
      <PlaylistsBlock playlists={playlists} />
      <SongsBlock songs={songs}/>

      <Footer />

      
    </div>
  )
}

export default App;