import React from 'react';
import { Button, Table } from 'antd';
import { PlayCircleOutlined } from '@ant-design/icons';
import { ISong, SongProps } from '../models/IModels';

export function CurrentTrack({song}: {song: ISong}) {

  const columns = [
    {
      title: 'Play',
      dataIndex: 'play',
      key: 'play',
      width: 50,
      render: (text: string, song: ISong) => (
        <img
          className="w-full h-auto rounded"
          src={song.cover}
          alt={song.song_name}
        />
      ),
    },
    {
      title: '',
      dataIndex: 'song_name',
      key: 'song_name',
    },
    {
      title: '',
      dataIndex: 'band_name',
      key: 'band_name',
    }
  ];

  return (
    <Table
      columns={columns}
      dataSource={[song]}
      pagination={false}
      className="w-full bg-slate-300"
    />
  );
}


