import { IPlaylist } from "../models/IModels";

import { Navigation, Pagination, Scrollbar, A11y } from 'swiper/modules';

import { Swiper, SwiperSlide } from 'swiper/react';

// Import Swiper styles
import 'swiper/css';
import 'swiper/css/navigation';
import 'swiper/css/pagination';
import 'swiper/css/scrollbar';

export function PlaylistsBlock({playlists}: {playlists: IPlaylist[]}) {

    return (
        <div className="container mx-auto content bg-slate-300">
            <Swiper
                // install Swiper modules
                modules={[Navigation, Pagination, Scrollbar, A11y]}
                spaceBetween={50}
                slidesPerView={3}
                navigation
                pagination={{ clickable: true }}
                scrollbar={{ draggable: true }}
                onSlideChange={() => console.log('slide change')}>
                {playlists.map((p: IPlaylist) => (
                    <SwiperSlide key={p.id}>
                        <div className="flex overflow-x-scroll rounded bg-slate-300 self-center" style={{scrollSnapType: 'x mandatory', width: '75%', minHeight: 300}}>
                            <img src={p.cover} alt={p.name} style={{minWidth: 200, height: 'auto', minHeight: 200}} className="rounded" />
                            <p className="text-lg">{p.name}</p>
                        </div>
                    </SwiperSlide>
                ))}
            </Swiper>

            
        </div>
        
        
    )
}

