import React, { useEffect, useState } from 'react';
import { render } from '@testing-library/react';
import {ISong} from '../models/IModels';
import { Track } from './Track';
import axios from 'axios';
import { Table, Button, Empty } from 'antd';
import { PlayCircleOutlined } from '@ant-design/icons';

export function SongsBlock({songs}: {songs: ISong[]}) {

  const columns = [
    {
      title: '',
      dataIndex: 'play',
      key: 'play',
      width: 50,

      render: (text: string, song: ISong) => (
        <img 
            className="w-full h-auto rounded" 
            src={song.cover} 
            alt={song.song_name} 
          />
      ),
    },
    {
      title: '',
      dataIndex: 'song_name',
      key: 'song_name',
    },
    {
      title: '',
      dataIndex: 'band_name',
      key: 'band_name',
    },
    {
      title: '',
      dataIndex: 'album_name',
      key: 'album_name',
    },

  ]

  return (
    <div className="flex justify-center items-center bg-slate-300">
      <Table
        className="w-1/2"
        dataSource={songs.map((s: ISong) => ({...s, play: ''}))}
        columns={columns}
      />
    </div>
  );    
};


